Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.denormaliser
Class DenormaliserData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.denormaliser.DenormaliserData

All Implemented Interfaces:
  StepDataInterface

    public class DenormaliserData

extends BaseStepData
implements StepDataInterface

Data structure used by Denormaliser during processing

Since:
  19-jan-2006
Author:
  Matt

Field Summary
`long[]` | `counters`
`int[]` | `fieldNameIndex`
`Integer[]` | `fieldNrs`
`int[]` | `groupnrs`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`int` | `keyFieldNr`
`Map<String,List<Integer>>` | `keyValue`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previous`
`int[]` | `removeNrs`
`Object[]` | `sum`
`Object[]` | `targetResult`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`DenormaliserData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### previous

    public Object[] previous

### groupnrs

    public int[] groupnrs

### fieldNrs

    public Integer[] fieldNrs

### targetResult

    public Object[] targetResult

### keyFieldNr

    public int keyFieldNr

### keyValue

    public Map<String,List<Integer>> keyValue

### removeNrs

    public int[] removeNrs

### fieldNameIndex

    public int[] fieldNameIndex

### counters

    public long[] counters

### sum

    public Object[] sum

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

Constructor Detail

### DenormaliserData

    public DenormaliserData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD